Package org.eclipse.swt.browser

# Interface LocationListener

All Known Implementing Classes:
  `LocationAdapter`

public interface LocationListener
This listener interface may be implemented in order to receive a `LocationEvent` notification when a `Browser` navigates to a different URL.

Since:
  1.0
See Also:
  - `Browser.addLocationListener(LocationListener)`
  - `Browser.removeLocationListener(LocationListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changed(LocationEvent event)`
This method is called when the current location is changed.
`static LocationListener`
`changedAdapter(Consumer<LocationEvent> c)`
Static helper method to create a `LocationListener` for the `changed(LocationEvent e)`) method, given a lambda expression or a method reference.
`void`
`changing(LocationEvent event)`
This method is called when the current location is about to be changed.
`static LocationListener`
`changingAdapter(Consumer<LocationEvent> c)`
Static helper method to create a `LocationListener` for the `changing(LocationEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### changing

void changing(LocationEvent event)
This method is called when the current location is about to be changed.

The following fields in the `LocationEvent` apply:

- (in) location the location to be loaded
- (in) widget the `Browser` whose location is changing
- (in/out) doit can be set to `false` to prevent the location from being loaded

Parameters:
  `event` - the `LocationEvent` that specifies the location to be loaded by a `Browser`

### changed

void changed(LocationEvent event)
This method is called when the current location is changed.

The following fields in the `LocationEvent` apply:

- (in) location the current location
- (in) top `true` if the location opens in the top frame or `false` otherwise
- (in) widget the `Browser` whose location has changed

Parameters:
  `event` - the `LocationEvent` that specifies the new location of a `Browser`

### changingAdapter

static LocationListener changingAdapter(Consumer<LocationEvent> c)
Static helper method to create a `LocationListener` for the `changing(LocationEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  LocationListener
Since:
  4.1

### changedAdapter

static LocationListener changedAdapter(Consumer<LocationEvent> c)
Static helper method to create a `LocationListener` for the `changed(LocationEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  LocationListener
Since:
  4.1